# CHANGELOG

## 2.0.0

  - add classe for `ExcelStreamParser` custom excel file parsing 

```js
const ExcelStreamParser = require("@adncorp/excel-bigfile-parser/ExcelStreamParser");
const excelStreamParser = new ExcelStreamParser();

var options = {
  file: "Url on file path",
  parsingCallbackFn: "function",
  batchSize: "number",
  transformCallbackFn: "function",
  endCallbackFn: "function",
  headerCallBackFn: "function",
  timeOut: "number",
  destroyStatus: "dict{value:true}",
  sheetIndex: "string, number or array",
  skipLine: "Boolean",
  parseInBatch: "Boolean",
  slice: "number, integer or  array",
  errorCallbackFn: "function",
  hasHeader: "Boolean",
  memoryUsage: "Boolean" 
}

excelStreamParser.parse(options);

```

## 1.x.x

  - Using `j` to parse excel files within  `ExcelParser` class

```js
const ExcelParser = require("@adncorp/excel-bigfile-parser");
const excelParser = new ExcelParser();
excelParser.parse(
    "./file.xlsx",
    ...
)
```